package com.lantone.qc.pub.model.label;

import com.lantone.qc.pub.model.entity.*;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

/**
 * @ClassName : PresentLabel
 * @Description : 现病史
 * @Author : 楼辉荣
 * @Date: 2020-03-03 18:45
 */
@Getter
@Setter
public class PresentLabel extends GeneralLabel {
    //临床表现
    private List<Clinical> clinicals = new ArrayList<>();
    //辅助检查
    private List<Pacs> pacses;
    //化验
    private List<Lis> lises;
    //治疗
    private List<Treat> treats;
    //药物
    private List<Medicine> medicines;
    //一般情况
    private List<General> gens = new ArrayList<>();
    //一般情况描述
    private List<GeneralDesc> generals = new ArrayList<>();
    //诱因
    private List<Cause> causes;
    //疾病信息
    private List<Diag> diags = new ArrayList<>();
    //手术信息
    private List<Operation> operations = new ArrayList<>();
    //入院途径
    private BeHospitalizedWay beHospitalizedWay;
    //现病史中所有时间实体存入
    private List<PD> pds = new ArrayList<>();

    public <T> void add(List<T> list, T obj) {
        list.add(obj);
    }
}